package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_BUSSINESS_SYSTEM"
)
public class TCoreBussinessSystem extends TBaseEntity {
   @Column(
      length = 100
   )
   private String bussiness_name;
   @Column(
      length = 1000
   )
   private String bussiness_remarks;
   private String createdatetime;
   @Transient
   private int pageSize = 0;
   @Transient
   private int currentPage = 0;

   public String getBussiness_name() {
      return this.bussiness_name;
   }

   public String getBussiness_remarks() {
      return this.bussiness_remarks;
   }

   public String getCreatedatetime() {
      return this.createdatetime;
   }

   public int getPageSize() {
      return this.pageSize;
   }

   public int getCurrentPage() {
      return this.currentPage;
   }

   public void setBussiness_name(final String bussiness_name) {
      this.bussiness_name = bussiness_name;
   }

   public void setBussiness_remarks(final String bussiness_remarks) {
      this.bussiness_remarks = bussiness_remarks;
   }

   public void setCreatedatetime(final String createdatetime) {
      this.createdatetime = createdatetime;
   }

   public void setPageSize(final int pageSize) {
      this.pageSize = pageSize;
   }

   public void setCurrentPage(final int currentPage) {
      this.currentPage = currentPage;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreBussinessSystem)) {
         return false;
      } else {
         TCoreBussinessSystem other = (TCoreBussinessSystem)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$bussiness_name = this.getBussiness_name();
            Object other$bussiness_name = other.getBussiness_name();
            if (this$bussiness_name == null) {
               if (other$bussiness_name != null) {
                  return false;
               }
            } else if (!this$bussiness_name.equals(other$bussiness_name)) {
               return false;
            }

            Object this$bussiness_remarks = this.getBussiness_remarks();
            Object other$bussiness_remarks = other.getBussiness_remarks();
            if (this$bussiness_remarks == null) {
               if (other$bussiness_remarks != null) {
                  return false;
               }
            } else if (!this$bussiness_remarks.equals(other$bussiness_remarks)) {
               return false;
            }

            Object this$createdatetime = this.getCreatedatetime();
            Object other$createdatetime = other.getCreatedatetime();
            if (this$createdatetime == null) {
               if (other$createdatetime != null) {
                  return false;
               }
            } else if (!this$createdatetime.equals(other$createdatetime)) {
               return false;
            }

            if (this.getPageSize() != other.getPageSize()) {
               return false;
            } else if (this.getCurrentPage() != other.getCurrentPage()) {
               return false;
            } else {
               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreBussinessSystem;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $bussiness_name = this.getBussiness_name();
      result = result * 59 + ($bussiness_name == null ? 43 : $bussiness_name.hashCode());
      Object $bussiness_remarks = this.getBussiness_remarks();
      result = result * 59 + ($bussiness_remarks == null ? 43 : $bussiness_remarks.hashCode());
      Object $createdatetime = this.getCreatedatetime();
      result = result * 59 + ($createdatetime == null ? 43 : $createdatetime.hashCode());
      result = result * 59 + this.getPageSize();
      result = result * 59 + this.getCurrentPage();
      return result;
   }

   public String toString() {
      return "TCoreBussinessSystem(bussiness_name=" + this.getBussiness_name() + ", bussiness_remarks=" + this.getBussiness_remarks() + ", createdatetime=" + this.getCreatedatetime() + ", pageSize=" + this.getPageSize() + ", currentPage=" + this.getCurrentPage() + ")";
   }
}
